// import { $http } from '@/common/http';


export default {
	getVideoList: '/news/video/list',
	getList: '/admin/news/study/Pclist',
	login: '/b/shop/user/login',
	register: '/b/shop/user/register',
	logout: '/admin/signout',
	Qrcode: '/common/wx/mini/code',
	bindReferrer: '/user/user/bind/referrer', //绑定临时上级
	getShareInfo: '/user/setup/share/info', //C端分享设置详情
	getArticle: '/user/setup/teletext/list', //图文设置列
	sendCodeBase: '/common/send/sms/code',
	sendCode: '/common/send/sms/code',
	verifyCode: '/common/verify/sms/code',
	hasPhone: '/user/user/phone/exist',
	
	bindId: '/user/order/notify/bind/manager', 
	
	getVersion: '/user/setup/check/version', //获取app当前版本号

	// 商品相关=====================
	getBannerList: '/user/setup/banner/get',//轮播图
	getCategoryList: '/user/goods/sort/list', // 分类列表
	getGoodsList: '/user/goods/list', // 商品列表
	getGoodsInfo: '/user/goods/info', // 商品详情

	// 购物车
	carGoodsList: '/user/cart/list', // 购物车列表
	addCarGoods: '/user/cart/update', // 加入购物车
	batchUpdateCarGoods: '/user/cart/batch/update', //批量更新购物车

	// 地址相关=====================
	addressList: '/user/address/list', // 地址列表
	addressDetail: '/user/address/info', // 地址详情
	addressAdd: '/user/address/add', // 地址添加
	addressEdit: '/user/address/update', // 地址编辑
	deleteAddress: '/user/address/del', // 地址删除
	addressDefault: '/user/address/set/default', // 地址设置默认
	getArea: '/common/allarea',//地区编码, //获取省市区地址

	// 图文
	getSourceGroupList: '/user/image/group/list',	//获取分组列表
	updateSourceGroup: '/user/image/group/update',	//修改分组
	deleteSourceGroup: '/user/image/group/delete',	//删除分组
	orderBySourceGroup: '/user/image/group/orderBy',  //修改分组排序
	getSourceGroupInfo: '/user/image/group/info', //分组详情
	addSourceGroup: '/user/image/group/add', //添加分组

	getSourceList: '/user/image/list', // 获取素材列表
	addSource: '/user/image/add', // 添加素材
	updateSource: '/user/image/update', // 修改素材
	sourceInfo: '/user/image/info', // 素材详情
	deleteSource: '/user/image/delete', // 删除素材
	canSource: '/user/image/check', // 检查是否有添加素材权限

	// 订单相关=====================
	orderList: '/b/order/list', // 订单列表
	orderDetail: '/b/order/info', // 订单详情
	logistics: '/b/order/query/logistic', // 物流信息
	cancelOrder: '/b/order/cancel', // 取消订单
	confirmOrder: '/b/order/confirm', // 确认收货
	submitOrder: '/b/order/query/payment', //计算订单应付金额
	createOrder: '/b/order/create', // 创建订单
	getPayParmas: '/b/pay/create',// 拉取支付参数
	closePay: '/b/pay/close', //关闭支付
	getOrderNum: '/b/order/count/num', //查询各状态订单数量
	getLogisticsInfo: '/b/order/query/logistic', //获取物流信息
	deliveryOrder: '/b/order/delivery',
	updateOrderLogistic: '/b/order/update/logistic',

	// 我的
	getFansList: '/user/user/fans/list',  //获取盟友、粉丝列表
	getUserInfo: '/user/user/info',//查询个人信息
	getUserInfo2: '/user/user/get/info',//查询个人信息
	getUserInfoByUid: '/user/user/base/info', //指定uid查询用户基本信息
	updateUserInfo: '/user/user/update/info',//更新个人信息
	updatePhone: '/user/user/bind/phone', //绑定手机号
	getHeadPic: '/user/user/head/pic', //支付后，获取最近团长的二维码
	setHeadPic: '/user/user/head/pic/set', //设置团长二维码

	getBusinessList: '/user/shop/my/manage/list', //我的商家列表

	getRebateTotal: '/user/rebate/query/total', // 查询总奖励金额
	getRebateLog: '/user/rebate/query/log', // 查询奖励明细
	getGroupKpi: '/user/rebate/query/group/kpi', // 查询当月团队业绩
	getBankCard: '/user/rebate/bank/get', // 查询银行卡
	bindBankCard: '/user/rebate/bank/bind', // 绑定银行
	
	isBusiness: '/user/shop/manage/check', //检查用户是否为商家

	// 商家入驻
	getBusinessTypeList: '/user/shop/type/get', //商家类型
	addBusiness: '/user/shop/manage/add', //商家入驻
	getBusinessInfo: '/user/shop/manage/info', //入驻商家详情
	updateBusinessInfo: '/user/shop/manage/update', //编辑商家入驻信息
	getBusinessDetail: '/user/shop/my/manage/info', //入驻商家详情

	getExamineList: '/user/shop/manage/list', //商家审核列表
	examinePass: '/user/shop/manage/pass', //商家审核通过
	examineRefuse: '/user/shop/manage/refuse', //商家审核拒绝
	examineInfo: '/user/shop/manage/res', //商家审核详情

	getMemberInfo: '/user/user/member/info', //会员资料详情
	// setPwd: '/user/user/Login/password/set', //设置登录密码
	setPwd: '/b/shop/user/set/pass', //设置登录密码
	setPayPwd: '/user/user/pay/password/set', //设置支付密码
	getBalance: '/user/fund/get/balance/and/integral', //查询余额、积分、是否设置安全密码

	getHuazhi: '/user/fund/get/integral/and/gold/detail', //查询积分、悦贝详情
	getFunList: '/b/fund/list', //资金记录列表
	getDataSum: '/user/fund/sum', //资金数据统计
	getGoldPrice: '/user/fund/get/official/gold/price', //查询悦贝兑换产品系数

	reward: '/user/fund/reward', //商家打赏

	areaBusiness: '/user/shop/manage/head', //区域商家列表

	yyzxyl: '/user/user/company/all',	//运营中心列表
	zyyzxyl: '/user/user/company/son/all', //子运营中心列表

	getRatio: '/user/fund/transfer/query/ratio', //查询转账手续费率

	transfer: '/user/fund/transfer/execute', //互转
	
	// 分公司
	applyInfo1: '/user/user/company/son/info',
	applyAdd1: '/user/user/company/son/apply',
	applyUpdate1: '/user/user/company/son/update',
	
	applyInfo2: '/user/user/company/info',
	applyAdd2: '/user/user/company/apply',
	applyUpdate2: '/user/user/company/update',
	
	realNameInfo: '/user/user/authentication/info', //实名认证详情
	realName: '/user/user/authentication', //实名认证
	isRealName: '/user/user/authentication/check', //检查是否实名认证
	setUserInfo: '/user/user/member/set', //设置会员姓名、日期、所在地 
	
	xxRecharge: '/user/fund/balance/offline/recharge/apply', //线下充值申请
	xxRechargeRecord: '/user/fund/balance/offline/recharge/list', //线下充值记录
	
	getShopTypeList: '/user/shop/type/get', //商家类型列表
	getShopList: '/user/shop/type/manage/list', //商圈-商家列表
	
	getPurchaseList: '/user/fund/purchase/list', //求购信息列表
	purchaseIssue: '/user/fund/purchase/issue', //发布求购信息
	updatePurchaseIssue: '/user/fund/purchase/issue/update',
	purchaseRevocation: '/user/fund/purchase/revocation', //撤销求购信息
	purchaseDelete: '/user/fund/purchase/delete', //删除求购信息
	purchaseFinish: '/user/fund/purchase/finish', //完成求购
	
	getShareCode: '/common/create/share/qr', //获取分享二维码
	
	getGroupSum: '/user/fund/get/group/sum', //查询团队数据统计
	
	getMessage: '/user/fund/purchase/list/message',
	
	
	getWithdrawInfo: '/user/sell/datum/info',
	addWithdraw: '/user/sell/datum/add',
	withdraw: '/user/sell/log/add',
	
	
	
	
	deleteAccount: '/user/user/write/off',
	
	
	
	
	
	
	getAuditGoodsList: '/b/goods/audit/list',
	getCategoryListB: '/b/goods/sort/list',
	addGood: '/b/goods/add',
	updateGood: '/b/goods/edit',
	getGoodInfoB: '/b/goods/info',
	getGoodsListB: '/b/goods/list',
	updateGoodTwig: '/b/goods/set/twig',
	updateGoodStatus: '/b/goods/set/status',
	deleteGoodB: '/b/goods/delete',
	
	
	
	getShopInfo: '/b/shop/info',
	setShopGoldAlert: '/b/shop/gold/alert/set',
	addNoDelivery: '/b/shop/no/delivery/create',
	deleteNoDelivery: '/b/shop/no/delivery/delete',
	getNoDeliveryList: '/b/shop/no/delivery/list',
	getWxIncomList: '/b/pay/wx/income/info/list',
	
	
	getShopQrInfo: '/b/shop/qr/info',
	setShopQrRatio: '/b/shop/set/qr/ratio',
	
	
	getFreightList: '/b/freight/list', // 运费模板列表
	getFreightInfo: '/b/freight/info', // 运费模板详情
	addFreight: '/b/freight/add', // 创建运费模板
	updateFreight: '/b/freight/update', // 编辑运费模板
	deleteFreight: '/b/freight/delete', // 删除运费模板
	getAreaName: '/b/freight/name/list',
	
}
